import { EventEmitter } from '@kano/common/index.js';
import { PartEditorField, IFieldComponent } from '../field.js';
export declare class EventPartEditorField<T> extends PartEditorField<EventEmitter<T>> {
    private _label;
    private _flash;
    private _timer?;
    static readonly propertyType: any;
    constructor(component: IFieldComponent, key: string);
    _onEvent(): void;
}
